package com.crm.manager.dto.export;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;
import lombok.Data;

@Data
public class TradeSalesPerformanceExportEnDto extends BaseRowModel {

    @ExcelProperty(value = "Start Date", index = 0)
    private String entryDate;

    @ExcelProperty(value = "Name", index = 1)
    private String salesName;

    @ExcelProperty(value = "Sales CID", index = 2)
    private Long CID;

    @ExcelProperty(value = "Gross Deposits Last Week", index = 3)
    private Float depositAmount;

    @ExcelProperty(value = "Withdrawals Last Week ", index = 4)
    private Float withdrawAmount;

    @ExcelProperty(value = "Net Deposits Last Week", index = 5)
    private Float worthDepositAmount;

    @ExcelProperty(value = "Gross Deposits This Month", index = 6)
    private Float curMonthDepositAmount;

    @ExcelProperty(value = "Withdrawals This Month", index = 7)
    private Float curMonthdWithdrawAmount;

    @ExcelProperty(value = "Net Deposits This Month ", index = 8)
    private Float curMonthdWorthDepositAmount;

    @ExcelProperty(value = "New Clients This Month", index = 9)
    private Integer curAddCustomNum;

    @ExcelProperty(value = "Average Gross Deposits (3 Months) ", index = 10)
    private Float monthDepositAmount;

    @ExcelProperty(value = "Average Net Deposits (3 Months)", index = 11)
    private Float monthdWorthDepositAmount;

    private String ibNo;

    public static TradeSalesPerformanceExportEnDto getInstance(){
        TradeSalesPerformanceExportEnDto dto = new TradeSalesPerformanceExportEnDto();
        dto.setDepositAmount(0f);
        dto.setWithdrawAmount(0F);
        dto.setWorthDepositAmount(0f);
        //dto.setCustomNum(0);
        dto.setCurMonthDepositAmount(0f);
        dto.setCurMonthdWithdrawAmount(0f);
        dto.setCurMonthdWorthDepositAmount(0f);
        dto.setCurAddCustomNum(0);
        dto.setMonthDepositAmount(0f);
        dto.setMonthdWorthDepositAmount(0f);

        return dto;
    }

}
